# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.auth.core.AuthConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_REQUEST_AUTH_URI_SUFFIX`
`"org.apache.sling.api.include.auth_uri_suffix"`
`public static final String`
`AUTH_HANDLER_BROWSER_ONLY`
`"sling.auth.browser-only"`
`public static final String`
`AUTH_INFO_LOGIN`
`"$$auth.info.login$$"`
`public static final String`
`AUTH_REQUIREMENTS`
`"sling.auth.requirements"`
`public static final String`
`PAR_J_VALIDATE`
`"j_validate"`
`public static final String`
`TOPIC_LOGIN`
`"org/apache/sling/auth/core/Authenticator/LOGIN"`
`public static final String`
`TOPIC_LOGIN_FAILED`
`"org/apache/sling/auth/core/Authenticator/LOGIN_FAILED"`
`public static final String`
`X_REASON`
`"X-Reason"`
`public static final String`
`X_REASON_CODE`
`"X-Reason-Code"`
org.apache.sling.auth.core.AuthenticationSupport
Modifier and Type
Constant Field
Value
`public static final String`
`REDIRECT_PARAMETER`
`"sling.auth.redirect"`
`public static final String`
`REQUEST_ATTRIBUTE_RESOLVER`
`"org.apache.sling.auth.core.ResourceResolver"`
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.auth.core.AuthenticationSupport"`

org.apache.sling.auth.core.spi.AbstractAuthenticationFormServlet
Modifier and Type
Constant Field
Value
`public static final String`
`CUSTOM_FORM_PATH`
`"custom_login.html"`
`public static final String`
`DEFAULT_FORM_PATH`
`"login.html"`
org.apache.sling.auth.core.spi.AbstractJakartaAuthenticationFormServlet
Modifier and Type
Constant Field
Value
`public static final String`
`CUSTOM_FORM_PATH`
`"custom_login.html"`
`public static final String`
`DEFAULT_FORM_PATH`
`"login.html"`
org.apache.sling.auth.core.spi.AuthenticationHandler
Modifier and Type
Constant Field
Value
`public static final String`
`FAILURE_REASON`
`"j_reason"`
`public static final String`
`FAILURE_REASON_CODE`
`"j_reason_code"`
`public static final String`
`PATH_PROPERTY`
`"path"`
`public static final String`
`REQUEST_LOGIN_PARAMETER`
`"sling:authRequestLogin"`
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.auth.core.spi.AuthenticationHandler"`
`public static final String`
`TYPE_PROPERTY`
`"authtype"`
org.apache.sling.auth.core.spi.AuthenticationInfo
Modifier and Type
Constant Field
Value
`public static final String`
`AUTH_TYPE`
`"sling.authType"`
org.apache.sling.auth.core.spi.AuthenticationInfoPostProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.auth.core.spi.AuthenticationInfoPostProcessor"`
org.apache.sling.auth.core.spi.JakartaAuthenticationHandler
Modifier and Type
Constant Field
Value
`public static final String`
`FAILURE_REASON`
`"j_reason"`
`public static final String`
`FAILURE_REASON_CODE`
`"j_reason_code"`
`public static final String`
`PATH_PROPERTY`
`"path"`
`public static final String`
`REQUEST_LOGIN_PARAMETER`
`"sling:authRequestLogin"`
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.auth.core.spi.JakartaAuthenticationHandler"`
`public static final String`
`TYPE_PROPERTY`
`"authtype"`
org.apache.sling.auth.core.spi.JakartaAuthenticationInfoPostProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_NAME`
`"org.apache.sling.auth.core.spi.AuthenticationInfoPostProcessor"`

org.apache.sling.engine.auth.AuthenticationHandler
Modifier and Type
Constant Field
Value
`public static final String`
`PATH_PROPERTY`
`"path"`